## org.apache.batik.dom
Class AbstractNotation

    java.lang.Object
      org.apache.batik.dom.AbstractNode
          org.apache.batik.dom.AbstractNotation

All Implemented Interfaces:
  java.io.Serializable, NodeEventTarget, ExtendedNode, NodeXBL, XBLManagerData, EventTarget, org.w3c.dom.Node, org.w3c.dom.Notation

Direct Known Subclasses:
  GenericNotation

    public abstract class AbstractNotation

extends AbstractNode
implements org.w3c.dom.Notation

This class implements the `Notation` interface.

See Also:
  Serialized Form

Field Summary
`protected java.lang.String` `nodeName` The node name.
`protected java.lang.String` `publicId` The public id.
`protected java.lang.String` `systemId` The system id.

Fields inherited from class org.apache.batik.dom.AbstractNode
`DOCUMENT_POSITION_CONTAINED_BY, DOCUMENT_POSITION_CONTAINS, DOCUMENT_POSITION_DISCONNECTED, DOCUMENT_POSITION_FOLLOWING, DOCUMENT_POSITION_IMPLEMENTATION_SPECIFIC, DOCUMENT_POSITION_PRECEDING, EMPTY_NODE_LIST, eventSupport, managerData, ownerDocument, userData, userDataHandlers`

Fields inherited from interface org.w3c.dom.Node

`ATTRIBUTE_NODE, CDATA_SECTION_NODE, COMMENT_NODE, DOCUMENT_FRAGMENT_NODE, DOCUMENT_NODE, DOCUMENT_POSITION_CONTAINED_BY, DOCUMENT_POSITION_CONTAINS, DOCUMENT_POSITION_DISCONNECTED, DOCUMENT_POSITION_FOLLOWING, DOCUMENT_POSITION_IMPLEMENTATION_SPECIFIC, DOCUMENT_POSITION_PRECEDING, DOCUMENT_TYPE_NODE, ELEMENT_NODE, ENTITY_NODE, ENTITY_REFERENCE_NODE, NOTATION_NODE, PROCESSING_INSTRUCTION_NODE, TEXT_NODE`

Constructor Summary
`AbstractNotation()`

Method Summary
`protected org.w3c.dom.Node` `copyInto(org.w3c.dom.Node n)` Copy the fields of the current node into the given node.
`protected org.w3c.dom.Node` `deepCopyInto(org.w3c.dom.Node n)` Deeply copy the fields of the current node into the given node.
`protected org.w3c.dom.Node` `deepExport(org.w3c.dom.Node n, AbstractDocument d)` Deeply exports this node to the given document.
`protected org.w3c.dom.Node` `export(org.w3c.dom.Node n, AbstractDocument d)` Exports this node to the given document.
`java.lang.String` `getNodeName()` DOM: Implements `Node.getNodeName()`.
`short` `getNodeType()` DOM: Implements `Node.getNodeType()`.
`java.lang.String` `getPublicId()` DOM: Implements `Notation.getPublicId()`.
`java.lang.String` `getSystemId()` DOM: Implements `Notation.getSystemId()`.
`void` `setNodeName(java.lang.String v)` Sets the name of this node.
`void` `setPublicId(java.lang.String id)` Sets the public id.
`void` `setSystemId(java.lang.String id)` Sets the system id.
`void` `setTextContent(java.lang.String s)` DOM: Implements `Node.setTextContent(String)`.

Methods inherited from class org.apache.batik.dom.AbstractNode

`addEventListener, addEventListenerNS, appendChild, checkChildType, cloneNode, compareDocumentPosition, compareNamedNodeMaps, compareStrings, createDOMException, dispatchEvent, fireDOMCharacterDataModifiedEvent, fireDOMNodeInsertedIntoDocumentEvent, fireDOMNodeRemovedFromDocumentEvent, fireUserDataHandlers, getAttributes, getBaseURI, getBaseURI, getCascadedXMLBase, getChildNodes, getCurrentDocument, getEventSupport, getFeature, getFirstChild, getLastChild, getLocalName, getManagerData, getNamespaceURI, getNextSibling, getNodeValue, getOwnerDocument, getParentNode, getParentNodeEventTarget, getPrefix, getPreviousSibling, getTextContent, getUserData, getXblBoundElement, getXblChildNodes, getXblDefinitions, getXblFirstChild, getXblFirstElementChild, getXblLastChild, getXblLastElementChild, getXblNextElementSibling, getXblNextSibling, getXblParentNode, getXblPreviousElementSibling, getXblPreviousSibling, getXblScopedChildNodes, getXblShadowTree, hasAttributes, hasChildNodes, hasEventListenerNS, initializeEventSupport, insertBefore, isDefaultNamespace, isEqualNode, isSameNode, isSupported, lookupNamespacePrefix, lookupNamespaceURI, lookupPrefix, newNode, normalize, removeChild, removeEventListener, removeEventListenerNS, replaceChild, setManagerData, setNextSibling, setNodeValue, setOwnerDocument, setParentNode, setPrefix, setPreviousSibling, setSpecified, setUserData, willTriggerNS`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.w3c.dom.Node

`appendChild, cloneNode, compareDocumentPosition, getAttributes, getBaseURI, getChildNodes, getFeature, getFirstChild, getLastChild, getLocalName, getNamespaceURI, getNextSibling, getNodeValue, getOwnerDocument, getParentNode, getPrefix, getPreviousSibling, getTextContent, getUserData, hasAttributes, hasChildNodes, insertBefore, isDefaultNamespace, isEqualNode, isSameNode, isSupported, lookupNamespaceURI, lookupPrefix, normalize, removeChild, replaceChild, setNodeValue, setPrefix, setUserData`

Methods inherited from interface org.apache.batik.dom.ExtendedNode
`isReadonly, setReadonly`

Field Detail

### nodeName

    protected java.lang.String nodeName

  The node name.

### publicId

    protected java.lang.String publicId

  The public id.

### systemId

    protected java.lang.String systemId

  The system id.

Constructor Detail

### AbstractNotation

    public AbstractNotation()

Method Detail

### getNodeType

    public short getNodeType()

  DOM: Implements `Node.getNodeType()`.

  Specified by:
    `getNodeType` in interface `org.w3c.dom.Node`
  Returns:
    `Node.NOTATION_NODE`

### setNodeName

    public void setNodeName(java.lang.String v)

  Sets the name of this node.

  Specified by:
    `setNodeName` in interface `ExtendedNode`
  Overrides:
    `setNodeName` in class `AbstractNode`

### getNodeName

    public java.lang.String getNodeName()

  DOM: Implements `Node.getNodeName()`.

  Specified by:
    `getNodeName` in interface `org.w3c.dom.Node`

### getPublicId

    public java.lang.String getPublicId()

  DOM: Implements `Notation.getPublicId()`.

  Specified by:
    `getPublicId` in interface `org.w3c.dom.Notation`
  Returns:
    `publicId`.

### setPublicId

    public void setPublicId(java.lang.String id)

  Sets the public id.

### getSystemId

    public java.lang.String getSystemId()

  DOM: Implements `Notation.getSystemId()`.

  Specified by:
    `getSystemId` in interface `org.w3c.dom.Notation`
  Returns:
    `systemId`.

### setSystemId

    public void setSystemId(java.lang.String id)

  Sets the system id.

### setTextContent

    public void setTextContent(java.lang.String s)
                        throws org.w3c.dom.DOMException

  DOM: Implements `Node.setTextContent(String)`.

  Specified by:
    `setTextContent` in interface `org.w3c.dom.Node`
  Overrides:
    `setTextContent` in class `AbstractNode`
  Throws:
    `org.w3c.dom.DOMException`

### export

    protected org.w3c.dom.Node export(org.w3c.dom.Node n,
                                      AbstractDocument d)

  Exports this node to the given document.

  Overrides:
    `export` in class `AbstractNode`

### deepExport

    protected org.w3c.dom.Node deepExport(org.w3c.dom.Node n,
                                          AbstractDocument d)

  Deeply exports this node to the given document.

  Overrides:
    `deepExport` in class `AbstractNode`

### copyInto

    protected org.w3c.dom.Node copyInto(org.w3c.dom.Node n)

  Copy the fields of the current node into the given node.

  Overrides:
    `copyInto` in class `AbstractNode`
  Parameters:
    `n` - a node of the type of this.

### deepCopyInto

    protected org.w3c.dom.Node deepCopyInto(org.w3c.dom.Node n)

  Deeply copy the fields of the current node into the given node.

  Overrides:
    `deepCopyInto` in class `AbstractNode`
  Parameters:
    `n` - a node of the type of this.

Copyright © 2008 Apache Software Foundation. All Rights Reserved.